﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace TreeViewScrollViewerEvent
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			TreeViewDomains.ItemsSource = Enumerable.Range(1, 50).Select(n => String.Format("Item {0}", n)).ToList();

			listBox.ItemsSource = Enumerable.Range(1, 100).Select(n => String.Format("Item {0}", n)).ToList();

			treeView.ItemsSource = Enumerable.Range(1, 100).Select(n => String.Format("Item {0}", n)).ToList();
		}

		private void OnScrollClick(object sender, RoutedEventArgs e)
		{
			scrollViewer.ScrollToVerticalOffset(30);
			scrollViewer.ScrollToVerticalOffset(0);

			listBox.ScrollIntoView(listBox.Items[50]);
			listBox.ScrollIntoView(listBox.Items[0]);

			treeView.BringIndexIntoView(50);
			treeView.BringIndexIntoView(0);
		}
	}
}
